
QGIS Application - Bug report #9064

Crash when getting info from a styled layer

2013-11-15 12:53 AM - Paolo Cavallini

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17711

Description

Clicking with the Info tool on the layer attached, with its own style (a form has been defined there) causes a systematic crash, both on Win

Dufour and on master Debian sid.

Associated revisions

Revision eaf90e6a - 2013-11-15 10:18 AM - Matthias Kuhn

Fix crash when showing form with definition for deleted widget

(Fix #9064)

History

#1 - 2013-11-15 12:55 AM - Paolo Cavallini

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

0x00007fea2d485867 in __libc_waitpid (pid=<optimized out>, stat_loc=<optimized out>, options=<optimized out>) at

../sysdeps/unix/sysv/linux/waitpid.c:40

40    ../sysdeps/unix/sysv/linux/waitpid.c: File o directory non esistente.

[Current thread is 1 (Thread 0x7fea34b65780 (LWP 9905))]

#0  0x00007fea2d485867 in __libc_waitpid (pid=<optimized out>, stat_loc=<optimized out>, options=<optimized out>) at

../sysdeps/unix/sysv/linux/waitpid.c:40

        resultvar = <optimized out>

        oldtype = 0

        result = <optimized out>

#1  0x00000000004f3227 in qgisCrash(int) ()

No symbol table info available.

#2  <signal handler called>

No locals.

#3  0x00007fea3042c1e0 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#4  0x00007fea3042f7a9 in QString::operator<(QString const&) const () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#5  0x00007fea3181d469 in QgsVectorLayer::dateFormat(int) () from /usr/lib/libqgis_core.so.2.1.0

No symbol table info available.

#6  0x00007fea31110cf1 in QgsAttributeEditor::createAttributeEditor(QWidget*, QWidget*, QgsVectorLayer*, int, QVariant const&,

QgsAttributeEditorContext&) () from /usr/lib/libqgis_gui.so.2.1.0

No symbol table info available.

#7  0x00007fea311145cf in QgsAttributeEditor::createWidgetFromDef(QgsAttributeEditorElement const*, QWidget*, QgsVectorLayer*,
QgsFeature const&, QgsAttributeEditorContext&, QString&, bool&) () from /usr/lib/libqgis_gui.so.2.1.0

No symbol table info available.

#8  0x00007fea31114260 in QgsAttributeEditor::createWidgetFromDef(QgsAttributeEditorElement const*, QWidget*, QgsVectorLayer*,

QgsFeature const&, QgsAttributeEditorContext&, QString&, bool&) () from /usr/lib/libqgis_gui.so.2.1.0

No symbol table info available.

#9  0x00007fea31114260 in QgsAttributeEditor::createWidgetFromDef(QgsAttributeEditorElement const*, QWidget*, QgsVectorLayer*,

QgsFeature const&, QgsAttributeEditorContext&, QString&, bool&) () from /usr/lib/libqgis_gui.so.2.1.0

No symbol table info available.

#10 0x00007fea3110a7a6 in QgsAttributeDialog::init() () from /usr/lib/libqgis_gui.so.2.1.0

No symbol table info available.

#11 0x00007fea3110cd0d in QgsAttributeDialog::QgsAttributeDialog(QgsVectorLayer*, QgsFeature*, bool, QWidget*, bool,

QgsAttributeEditorContext) () from /usr/lib/libqgis_gui.so.2.1.0

No symbol table info available.

#12 0x00000000005d52fc in QgsFeatureAction::newDialog(bool) ()

No symbol table info available.

#13 0x00000000005d577c in QgsFeatureAction::viewFeatureForm(QgsHighlight*) ()

No symbol table info available.

#14 0x00000000005cd322 in QgsIdentifyResultsDialog::featureForm() ()

No symbol table info available.

#15 0x00000000005d2d63 in QgsIdentifyResultsDialog::show() ()

No symbol table info available.

#16 0x000000000062b72d in QgsMapToolIdentifyAction::canvasReleaseEvent(QMouseEvent*) ()

No symbol table info available.

#17 0x00007fea3115e59b in QgsMapCanvas::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/libqgis_gui.so.2.1.0

No symbol table info available.

#18 0x00007fea2f8ddd8e in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#19 0x00007fea2fc7be7e in QFrame::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#20 0x00007fea2fe876f9 in QGraphicsView::viewportEvent(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#21 0x00007fea304ee4a6 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#22 0x00007fea2f88e73c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#23 0x00007fea2f894f0d in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#24 0x00007fea316c975b in QgsApplication::notify(QObject*, QEvent*) () from /usr/lib/libqgis_core.so.2.1.0

No symbol table info available.

#25 0x00007fea304ee33d in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#26 0x00007fea2f8946c3 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**,

QPointer<QWidget>&, bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#27 0x00007fea2f90641b in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#28 0x00007fea2f904e8c in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#29 0x00007fea2f92c7e2 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#30 0x00007fea2bd00ea6 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

2025-04-27 2/3



#31 0x00007fea2bd011f8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#32 0x00007fea2bd0129c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#33 0x00007fea3051b4b5 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#34 0x00007fea2f92c896 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#35 0x00007fea304ecf9f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#36 0x00007fea304ed295 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#37 0x00007fea304f28db in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#38 0x00000000004ee0c4 in main ()

No symbol table info available.

#2 - 2013-11-15 01:04 AM - Paolo Cavallini

- Priority changed from Severe/Regression to High

Most probably the crash is due to the fact that the form is referring to a field that has been deleted from the shapefile.

Lowering the priority accordingly.

#3 - 2013-11-15 01:19 AM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in changeset commit:"eaf90e6a40ff49913f2920c9bfd4106e0893883b".

Files

test.zip 4.84 KB 2013-11-14 Paolo Cavallini
